from setuptools import setup, find_packages

setup(
    name="uglypty",
    version="0.8.25",
    description="UglyPTY - A PyQt6-based SSH, Serial Console,SNMP, Mapping and Automation Tooling.",
    long_description=open('README.md').read(),
    long_description_content_type="text/markdown",
    author="Scott Peterman",
    author_email="scottpeterman@gmail.com",
    url="https://github.com/scottpeterman/UglyPTY", 
    license="GPLv3",
    classifiers=[
        "Programming Language :: Python :: 3.9",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Operating System :: OS Independent",
    ],
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        "bcrypt==4.1.2",
        "beautifulsoup4==4.12.2",
        "certifi==2023.11.17",
        "cffi==1.16.0",
        "charset-normalizer==3.3.2",
        "click==8.1.7",
        "colorama==0.4.6",
        "contourpy==1.2.0",
        "cryptography==41.0.7",
        "cycler==0.12.1",
        "darkdetect==0.7.1",
        "diff-match-patch==20230430",
        "docopt==0.6.2",
        "fonttools==4.47.0",
        "future==0.18.3",
        "greenlet==3.0.3",
        "hnmp==0.5.1",
        "idna==3.6",
        "importlib-resources==6.1.1",
        "Jinja2==3.1.2",
        "jmespath==1.0.1",
        "kiwisolver==1.4.5",
        "ldap3==2.9.1",
        "MarkupSafe==2.1.3",
        "matplotlib==3.8.2",
        "n2g==0.3.3",
        "netmiko==4.3.0",
        "ntc_templates==4.1.0",
        "numpy==1.26.3",
        "packaging==23.2",
        "pandas==2.1.4",
        "pandasql==0.7.3",
        "paramiko==3.4.0",
        "pillow==10.2.0",
        "pipreqs==0.4.13",
        "ply==3.11",
        "pyasn1==0.4.8",
        "pycparser==2.21",
        "pycryptodomex==3.19.1",
        "pyftpdlib==1.5.9",
        "PyNaCl==1.5.0",
        "pynetbox==7.2.0",
        "pyparsing==3.1.1",
        "PyQt6==6.6.1",
        "PyQt6-Qt6==6.6.1",
        "PyQt6-sip==13.6.0",
        "PyQt6-WebEngine==6.6.0",
        "PyQt6-WebEngine-Qt6==6.6.1",
        "pyqtdarktheme==2.1.0",
        "pyserial==3.5",
        "pysmi==0.3.4",
        "pysnmp==4.4.12",
        "python-dateutil==2.8.2",
        "pytz==2023.3.post1",
        "PyYAML==6.0.1",
        "qt-material==2.14",
        "requests==2.31.0",
        "scp==0.14.5",
        "six==1.16.0",
        "soupsieve==2.5",
        "SQLAlchemy==2.0.25",
        "SQLAlchemy-serializer==1.4.1",
        "textfsm==1.1.3",
        "tftpy==0.8.2",
        "ttp==0.9.5",
        "typing_extensions==4.9.0",
        "tzdata==2023.4",
        "urllib3==2.1.0",
        "yarg==0.1.9",
        "zipp==3.17.0",
    ],
    package_data={
        'uglypty': [
             'icons/*',
        'Library/*',
        'logs/*',
        'static/*',
        'static/images/*',
        'sessions/*',
        'uglyplugin_serial/*',
        '*.html'

        ],
    },
    python_requires='>=3.8',
)
